# Installation

## Configuring Gitea

In order to use any of the packages, you have configure `npm` / `yarn` / `pnpm` to work with Gitea.

The [official guide is here](https://development.tornadocash.community/T-Hax/gitea-guide), you can also download it by doing:

```bash
git clone https://development.tornadocash.community/T-Hax/gitea-guide
```

If you want to skip doing the entire configuration, you can just add to your `.npmrc` (if using `npm`), the following, albeit this is limited and untested, but should work for `npm`:

```yaml
@tornado:registry=https://development.tornadocash.community/api/packages/T-Hax/npm/
```

## Installing the packages

```bash
# if npm has been configured
npm install @tornado/<package name>

# if yarn has been configured
yarn add @tornado/<package name>
```